commit:     eee55ae2995fbed8258f126d8689789fb195e071
Author:     Oliver Freyermuth <o.freyermuth <AT> googlemail <DOT> com>
AuthorDate: Tue Jun  2 15:43:58 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Tue Jun  2 15:43:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=eee55ae2

games-arcade/taisei: Add live ebuild, BDEPEND, doc/lto, LICENSE.

This adds:
- Me as additional maintainer (clarified with @lanodan).
- doc USE flag to build docs conditionally.
- lto USE flag (upstream has it default on).
- missing BDEPEND packages.
- A live ebuild.
- Fixes LICENSE.

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Oliver Freyermuth <o.freyermuth <AT> googlemail.com>

 games-arcade/taisei/metadata.xml        |  5 +++
 games-arcade/taisei/taisei-1.3.1.ebuild | 30 +++++++++++++-----
 games-arcade/taisei/taisei-9999.ebuild  | 54 +++++++++++++++++++++++++++++++++
 3 files changed, 81 insertions(+), 8 deletions(-)

diff --git a/games-arcade/taisei/metadata.xml b/games-arcade/taisei/metadata.xml
index 3111344..8d7c68e 100644
--- a/games-arcade/taisei/metadata.xml
+++ b/games-arcade/taisei/metadata.xml
@@ -5,6 +5,10 @@
                <email>[email protected]</email>
                <name>Haelwenn (lanodan) Monnier</name>
        </maintainer>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Oliver Freyermuth</name>
+       </maintainer>
        <upstream>
                
<bugs-to>https://github.com/taisei-project/taisei/issues</bugs-to>
                <changelog>https://taisei-project.org/news.atom</changelog>
@@ -14,6 +18,7 @@
                Taisei is an open clone of the Touhou Project series. Touhou is 
a one-man project of shoot-em-up games set in an isolated world full of 
Japanese folklore.
        </longdescription>
        <use>
+               <flag name="lto">Enable link time optimization</flag>
                <flag name="zip">Enable loading of game data from ZIP packages 
via <pkg>dev-libs/libzip</pkg></flag>
        </use>
 </pkgmetadata>

diff --git a/games-arcade/taisei/taisei-1.3.1.ebuild 
b/games-arcade/taisei/taisei-1.3.1.ebuild
index ef0458c..a8371fb 100644
--- a/games-arcade/taisei/taisei-1.3.1.ebuild
+++ b/games-arcade/taisei/taisei-1.3.1.ebuild
@@ -5,15 +5,22 @@ EAPI=7
 
 inherit meson
 
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       KEYWORDS=""
+       EGIT_REPO_URI="https://github.com/taisei-project/taisei.git";
+else
+       
SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz";
+       KEYWORDS="~amd64"
+       S="${WORKDIR}/${PN}-v${PV}"
+fi
+
 DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
 HOMEPAGE="https://taisei-project.org/";
-LICENSE="BSD"
+LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
 SLOT="0"
-SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz";
-KEYWORDS="~amd64"
-IUSE="zip"
 
-S="${WORKDIR}/${PN}-v${PV}"
+IUSE="doc +lto zip"
 
 DEPEND="
        media-libs/freetype:2
@@ -24,17 +31,24 @@ DEPEND="
        sys-libs/zlib
        zip? ( dev-libs/libzip )
 "
+BDEPEND=">=dev-util/meson-0.49
+       >=dev-lang/python-3.5
+       doc? ( dev-python/docutils )"
 
 src_prepare() {
-       sed -i '/strip=true/d' meson.build || die "Failed removing 
auto-stripping"
-       sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, \'doc\', 
\'taisei-${PV}\')/" \
-               meson.build || die "Failed changing doc_path"
+       if use doc; then
+               sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, 
\'doc\', \'${P}\')/" \
+                       meson.build || die "Failed changing doc_path"
+       fi
        default
 }
 
 src_configure() {
        local emesonargs=(
+               $(meson_use doc docs)
+               $(meson_use lto b_lto)
                $(meson_use zip enable_zip)
+               -Dstrip=false
        )
        meson_src_configure
 }

diff --git a/games-arcade/taisei/taisei-9999.ebuild 
b/games-arcade/taisei/taisei-9999.ebuild
new file mode 100644
index 0000000..a8371fb
--- /dev/null
+++ b/games-arcade/taisei/taisei-9999.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit meson
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       KEYWORDS=""
+       EGIT_REPO_URI="https://github.com/taisei-project/taisei.git";
+else
+       
SRC_URI="https://github.com/taisei-project/taisei/releases/download/v${PV}/${PN}-v${PV}.tar.xz";
+       KEYWORDS="~amd64"
+       S="${WORKDIR}/${PN}-v${PV}"
+fi
+
+DESCRIPTION="Clone of the Touhou series, written in C using SDL/OpenGL/OpenAL."
+HOMEPAGE="https://taisei-project.org/";
+LICENSE="MIT CC-BY-4.0 CC0-1.0 public-domain"
+SLOT="0"
+
+IUSE="doc +lto zip"
+
+DEPEND="
+       media-libs/freetype:2
+       >=media-libs/libpng-1.5
+       media-libs/libsdl2
+       media-libs/sdl2-mixer
+       media-libs/libwebp
+       sys-libs/zlib
+       zip? ( dev-libs/libzip )
+"
+BDEPEND=">=dev-util/meson-0.49
+       >=dev-lang/python-3.5
+       doc? ( dev-python/docutils )"
+
+src_prepare() {
+       if use doc; then
+               sed -i "s/doc_path = join.*/doc_path = join_paths(datadir, 
\'doc\', \'${P}\')/" \
+                       meson.build || die "Failed changing doc_path"
+       fi
+       default
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_use doc docs)
+               $(meson_use lto b_lto)
+               $(meson_use zip enable_zip)
+               -Dstrip=false
+       )
+       meson_src_configure
+}

Reply via email to